package info.bukova.isspst.dao;

import java.util.List;

/**
 * Bázové rozhraní pro DAO pracující s konkrétními entitami.
 * 
 * @author pepa
 *
 * @param <T> - Třída datové entity.
 */
public interface BaseDao<T> extends QueryDao {

	public void add(T entity);
	public void delete(T entity);
	public void modify(T entity);
	public T getById(int id);
	public List<T> getAll();
	public List<T> execQuery(String query);
	public String getEntityName();
	
}
